.audio-player .audio-player__audio {
  display: none;
}

.audio-player {
  display: flex;
  align-items: center;
}

.audio-player .audio__btn-wrap {
  background-repeat: no-repeat;
  background-size: cover;
	background-position: center;
  margin-top: 10px;
  margin-right: 5px;
  margin-bottom: 10px;
  margin-left: 10px;
	border-radius: 5px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.audio-player .audio__play-start,
.audio-player .audio__play-pause {
  cursor: pointer;
  touch-action: none;
  user-select: none;
  -webkit-user-drag: none;
}

.audio__btn-wrap--cover {
  margin: 16px;
}

.audio__play-icon {
  opacity: 0.7;
  transition: all 0.3s ease-in-out;
  &:hover {
    opacity: 1;
    transform: scale(1.25);
  }
}

.audio__interface {
  flex: 1 1 auto;
  margin-top: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
  margin-left: 5px;
}

.audio-player .audio__progress-wrap {
  position: relative;
  background: #494d77;
  height: 5px;
  border-radius: 5px;
  margin-top: 20px;
  cursor: pointer;
  touch-action: none;
  user-select: none;
  -webkit-user-drag: none;
}

.audio-player .audio__progress {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  width: 0;
  border-radius: 3px;
  background: linear-gradient(270deg, #7e55b3 0%, #a769c4 100.02%);
}

.audio-player .audio__progress-point {
  position: absolute;
  left: -8px;
  top: 50%;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  margin-top: -8px;
}

.audio-player .audio__progress-point:after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 8px;
  height: 8px;
  margin: -4px 0 0 -4px;
  background: #fff;
  border-radius: 50%;
}

.audio-player .audio__time-wrap {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 7px;
}

.audio-player .audio__current-time,
.audio-player .audio__duration {
  font-size: 12px;
  color: #ffffff;
  opacity: 0.7;
}

@media only screen and (min-width: 640px) {
  .audio-player .audio__btn-wrap {
    margin-top: 20px;
    margin-right: 10px;
    margin-bottom: 20px;
    margin-left: 20px;
  }
  .audio__interface {
    margin-top: 20px;
    margin-right: 20px;
    margin-bottom: 20px;
    margin-left: 10px;
  }
  .audio__btn-wrap--cover {
    margin: 32px;
  }
}
